import java.util.Arrays;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {


        Scanner sc = new Scanner(System.in);

        int n = sc.nextInt();

        int niz[] = new int[n];

        for (int i = 0; i < n; i++) {
            niz[i] = sc.nextInt();
         }

        if (n<= 2) {
            System.out.println(niz[1] + " " + niz[0]);
        }
        else {
            int sortiranNiz[] = Arrays.copyOf(niz,n);
            Arrays.sort(sortiranNiz);
            for (int i = 0; i < n; i++) {

                if (niz[i] < sortiranNiz[n-1-i] )
                {
                    int temp = niz[i];
                    niz[i] = sortiranNiz[n-1-i];
                    int j = n-1;
                    while(!(niz[j] == sortiranNiz[n-1-i])){
                        j--;
                    }
                    niz[j] = temp;

                }
            }

            for (int resenje:niz
                 ) {
                System.out.print(resenje + " ");
            }

        }
    }
}